> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Override rail holiday

> Add a tenant-specific holiday (e.g. internal company closure) that windows will skip.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/settlement-windows/holidays
openapi: 3.1.0
info:
  title: Sly API
  description: >-
    The Agentic Economy Platform — stablecoin payments, agent wallets,
    multi-protocol commerce, and AI agent orchestration.
  version: 1.0.0
  contact:
    name: Sly
    url: https://getsly.ai
    email: support@getsly.ai
servers:
  - url: https://api.getsly.ai/v1
    description: Production
  - url: https://sandbox.getsly.ai/v1
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/settlement-windows/holidays:
    post:
      tags:
        - Settlement Windows
      summary: Override rail holiday
      description: >-
        Add a tenant-specific holiday (e.g. internal company closure) that
        windows will skip.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                date:
                  type: string
                rail:
                  type: string
                name:
                  type: string
              required:
                - date
                - rail
                - name
      responses:
        '201':
          description: Added
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/RailHoliday'
                required:
                  - data
      security:
        - bearerAuth: []
components:
  schemas:
    RailHoliday:
      type: object
      properties:
        date:
          type: string
        rail:
          type: string
        name:
          type: string
        source:
          type: string
          enum:
            - system
            - tenant_override
      required:
        - date
        - rail
        - name
        - source
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (pk_test_* or pk_live_*), JWT session, agent token (agent_*),
        Ed25519 session (sess_*), or portal token (portal_*).

````